Get minimum radius curvature from a surface using rhino python script
Hello. Is there a way to get minimum radius curvature from a surface using rhino python script? I want the values generated by the command CurvatureAnalysis in the dialog after pressing the auto range...
View Articlers.ExplodeCurves has different behavior than Explode Rhino command?
I am writing a python script that makes use of the ExplodeCurves command in rhinoscriptsyntax. However I noticed that the command does not give the same result as when I go through the process...
View ArticleAssembly reference warning again
Hi all, I had the same question a while ago, which never got resolved. I am building a plugin using Rhino7 Mac and Visual Studio Mac, and when I reference a DLL, I got this warning. I understand this...
View ArticleCreate pipe in Revit from two points problem
Hi guys. I learned the basic stuff about: Grasshopper, Revit, Rhino.Inside.Revit, Rhino, General Python, GHPython and IronPython and completed some courses from McNeel education. I am working in Revit...
View ArticlePlease help:Adding RenderMaterial won't Undo
@pascal or @nathan can you help with this? I am making a script to make some glass panels and I have made a definition to add a material if it doesn’t exist, and then assign it to an object. It works...
View ArticleBooleanSplit in rs.Command fails
Hi everyone, I am trying to run a BooleanSplit of two polysurfaces through rs.Command. However, it does not work (the output is False) and I don’t know why. The code is as followed: cutSurfId =...
View ArticleRhinoApp.WriteLine is sometimes very slow
No logs, no error messages, and nothing special about the log itself, sometimes it can take up to three seconds to write a log. Any ideas for investigation? 4 posts - 2 participants Read full topic
View ArticleRetrieve layer name list from file with different language than English
Hello, I’ve retrieved all the layer names in grasshopper, but some layers in my rhino file have named in different language, specifically Korean texts. Rhino 7 is displaying it without an issue...
View ArticleThe Class ParticleSystem in RhinoCommon's Problem or bug
I using python to create an custom particlesystem extend from ParticleSystem in Rhino, when I using Remove method to remove the particle in my custom particlesystem when the particle was exipre,...
View ArticleHow to remove self-intersections on non-planar curve using Rhinoscript
Hi everyone I am quite new to Rhino and I am trying to create a surface from a non-planar curve. The problem is that I need the surface to be bigger than the curve by a certain offset (I’ve been using...
View ArticleHow to set material to the face of the Brep by api?
In rhino we can set material to every face of the Brep easily,but how to do this by api? 4 posts - 2 participants Read full topic
View ArticleCan a *.rhi file include a *.3dm file?
I am creating a set of toolbar buttons with python scripts under the buttons. Two of the buttons import a 3dm and one adds a layout file to the import. There is also a display mode I need to add....
View ArticleInsert a new InstanceDefinition of a Block into document
@dale I was wondering if I could ask you regarding some sample code you posted back in 2018 that might be obsolete or changed....
View ArticleRhinoPython Vscode
Hey all, I have successfully installed the Rhinopyhton in both vsCode and in the system. However, when I typed in the python file, there is no autocomplete. Can’t import any rhino nor any syntax from...
View ArticleGet dimension point
Hello everybody, Is it posible with python to get the points of a linear dimension? because i dont see any function in the website. Thanks in advance, Jose Verdu, 3 posts - 2 participants Read full...
View ArticleApplying random integers to a list
Hi, I am stuck and hoping someone can help please… I have successfully generated circles with random radii from a list of points and I am trying to then get random lengths of extrusions from the...
View ArticleHow to create a custom data tree?
Hi there! I am trying to create a custom data tree with one branch {0;1} and insert there a list of data. But apparently, I have written something wrong. Would you point out my mistake? import Rhino...
View ArticleJoin Objects by Material
Hi there, can someone give me a hint on how to iterate trough the geometry and join objects by their Material? I am quite new to scripting in Rhino, and the difference between RhinoCommon, and python...
View ArticleAttribute 'Intersect' of 'namespace#' object is read-only
If I’m not mistaken this script used to work. Perhaps something has changed since it successfully ran. As always, any help is greatly appreciated. ~ David my_emillio_05_18_22.py (4.7 KB) 7 posts - 3...
View ArticleText Object - Group by Character?
Hello Please, is there a way to get “Text Object” grouped by single characters? For example “i” or “j” character creates two curves or surfaces. I would like to somehow type in a text and get it...
View Article